package fr.sanchezm.attestationsCovid19.ui.attestations

import android.view.View
import androidx.lifecycle.LiveData
import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel
import fr.sanchezm.attestationsCovid19.data.db.entity.Attestation
import fr.sanchezm.attestationsCovid19.data.repository.AttestationRepository
import fr.sanchezm.attestationsCovid19.utilities.Event

class AttestationsViewModel(attestationRepository: AttestationRepository) : ViewModel() {

    private val _startActivity = MutableLiveData<Event<Long>>()

    private var _attestations = attestationRepository.getAttestations() as MutableLiveData<ArrayList<Attestation>>

    private var _displayNoAttestation = MutableLiveData<Int>()

    val attestations: LiveData<ArrayList<Attestation>> =
        _attestations

    val startActivity: LiveData<Event<Long>> =
        _startActivity

    val displayNoAttestation: LiveData<Int> =
        _displayNoAttestation

    init {
        if (_attestations.value == null || _attestations.value?.size == 0) {
            _displayNoAttestation.value = View.VISIBLE
        } else {
            _displayNoAttestation.value = View.GONE
        }
    }

}